Bug 5538 - Kernel 2.2.x ISN vulnerability
Kernel 2.2.x ISN vulnerability
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.0
All Linux
high Severity medium
: ---
: ---
Assigned To: Cristian Gafton
http://www.geocrawler.com/mail/msg.ph...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-04 19:30 EDT by zurk
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-10-05 10:20:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description zurk 1999-10-04 19:30:13 EDT
Thought this would have been fixed by now..oh well...Here
goes (hope the formatting doesnt kill it) :
A weakness within the TCP stack in Linux 2.2.x kernels has
been
                discovered. The vulnerability makes it
possible to "blind-spoof" TCP
                connections.
                It`s therefore possible for an attacker to
initiate a TCP connection
                from an arbitrary non existing or
unresponding IP source address,
                exploiting IP address based access control
mechanisms.

                Linux 2.0.x kernels were tested against this
attack and found not to
                be vulnerable in any case.




The vulnerability :
http://www.geocrawler.com/mail/msg.php3?msg_id=2681806&list=35
The patches (1st fixes typo, 2nd fixes vulnerability):
http://www.geocrawler.com/mail/msg.php3?msg_id=2681922&list=35
http://www.geocrawler.com/mail/msg.php3?msg_id=2682323&list=35

Check 6.1 for it too...Also can we now have doom in X Games
? Dooms source is now GPLed.
Comment 1 Bill Nottingham 1999-10-05 10:20:59 EDT
This is fixed in the latest kernels in 6.1/Raw Hide.

As for Doom, while the source is available, IIRC, Id specfically
said that commercial redistribution was prohibited.

Note You need to log in before you can comment on or make changes to this bug.